Retrieves all territories
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
sales_territory| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| description |
Description of the territory |
string |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "d5319bdf-7d63-4f18-8d01-897d7ac453b3",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "b5b8dc84-c412-4179-a2d0-dbac9a5ea50a",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "b251bdd7-2d8d-4cfb-a9c3-e30bf335541e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "633dd709-69be-498c-8a50-0e51ed4c3cf5",
"db_currency_id": "9a56d81c-d305-4e90-ab4f-252eb2a2bccb",
"db_language_id": "8030978d-bcbc-4d3e-a0d6-7518987dbe85",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T03:13:45.8744695+00:00"
},
"modified_dateutc": "2026-11-02T03:13:45.8744695+00:00"
}